Subject: Re: Use GDB for not GCC's exes
From: [email-masked] (Anatoly Kardash)

21 Oct 1996 23:52:30 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 2.0 (WinNT; I)
Original-To: Michael Snyder <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Michael Snyder wrote:
> 
> [email-masked] (Anatoly Kardash) writes:
> > Hi!
> >
> > We're using CygWin32 to get gmake. Also I like to compile
> > variuos GNU's things (like RCS) for WinNT without problems.
> > Thank you! But the question: we have to use some 3rd-party
> > products (incuding MFC ;-() that support VC++ compiler only
> > (i.e. not GCC), so we can not use GCC. But I'd like to use
> > GDB for such files anyway (guess why :-). Can I do it?
> > How? Some compilation flags, etc.? Any info is appreciated.
> > Thanks in advance,
> 
> No, not for full (high level source language) debugging.
> The Microsoft compilers generate a different type of debugging
> symbol information, which gdb does not understand.
> 
> However, the low-level (assembly-type) symbols generated by
> Microsoft compilers are coff, which gdb DOES understand.
> Therefore you should at  least be able to see all of your
> global symbols; you just won't have any information about
> data types, line numbers, local variables etc.
> 
>                                 Michael Snyder

1. Thank you. After a lot of various discussions I got at last
   a clear understandable and short answer.
2. Anyway, the MS's compiler seems to become the standard one
   for the win32 platform (don't ask me whether this is good or
   bad for all of us). So it is quite reasonable to add
   full support of its object (and other binary) files to
   the gnu-win32 package (first of all various utilities like
   nm, gdb, etc.). Are you planning to do it at all? I know
   that the 1st aim of the gnu-win32 is to allow moreless easy
   porting of ready UNIX programs to win32, but if you want
   to have the gnu-win32 as a development environment (and
   personally I was very glad to have it) then you have no
   choice (IMHO).

---------------------------------
        Anatoly Kardash 
    Infrastructure Team Leader
        MiSSiNG LiNK B.V.
---------------------------------
 11 Habonim st. Ramat-Gan 52462
            Israel
e-mail: [email-masked]
phone:  +972-3-6133160
fax:    +972-3-6133161
---------------------------------
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".